# `router.go(path)`

导航到一个新的路由

### 参数

- `path: String | Object`

  `path` 可以是一个字符串，或是包含跳转信息的对象。

  当是字符串时，该路径必须为一个普通路径（也就是说没有动态片段或者全匹配片段）。路径若不是以 `/` 开头的绝对路径，会以相对于当前路径的方式进行解析。

  当是对象时，可以是如下的格式：

  ``` js
  { path: '...' }
  ```

  或是：

  ``` js
  {
    name: '...',
    // params 和 query 可选
    params: { ... },
    query: { ... }
  }
  ```

  关于包含 `name` 的路径对象，参见[具名路径](../named.md).

  - 当用 `path` 格式跳转到一个相对路径时，可以用 `append: true` 选项来确保该相对路径始终被添加到当前路径之后。比如：

    - 从 `/a` 跳转到 `b` 时，若没有 `append: true`，则会跳转到 `b`;
    - 从 `/a` 跳转到 `b` 时，若有 `append: true`，则会跳转到 `/a/b`。

  - 两种格式都接受 `replace: true` 选项，使得该跳转不产生一个新的历史记录。
